Pular para o conteúdo

Get a financial instrument by ID

Requisição

Retrieves one financial instrument associated with the specified identity.

In the current release, one instrument is retrieved at most because only a single instrument is allowed per identity.

Segurança
Bearer
Caminho
identity-idstringobrigatório

Unique identifier of the identity whose instruments you want to list.

Exemplo:2f4ac57f-c5ba-4051-b51f-b3565778717b
financial-instrument-idstringobrigatório

The ID of the financial instrument of the identity.

Exemplo:2f4ac57f-c5ba-4051-b51f-b3565778717b
Consulta
versionstring

Version of the identity

Exemplo:version=2
expand-identityboolean

Optional parameter to expand the financial instrument details. If set to true, the details about the identity will be included in the response.

Exemplo:expand-identity=true
curl -i -X GET \
  'https://docs.ripple.com/_mock/pt-br/products/payments-direct-2/v2026.03/api-docs/payments-direct-api/payments-direct-2-api/v3/identities/2f4ac57f-c5ba-4051-b51f-b3565778717b/financial-instruments/2f4ac57f-c5ba-4051-b51f-b3565778717b?version=2&expand-identity=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Respostas

Financial instrument for the identity.

Corpoapplication/json
financialInstrumentobjectobrigatório

Request to create a new financial instrument for an identity.

identityobject
Resposta
{ "financialInstrument": { "country": "US", "financialInstrumentId": "7f2bac05-42a3-4b26-89fd-333396fdba70", "createdAt": "2025-10-01T18:46:47.430Z", "updatedAt": "2025-10-01T18:46:47.430Z", "usAch": { … }, "currency": "USD", "label": "US bank account", "financialInstrumentType": "US_ACH" } }